> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/consents/events/delete-consent-event.md).

# Delete consent event

Delete consents events by calling the [`DELETE /consents/events`](https://didomi.stoplight.io/docs/didomi-api/4d0b920d383ac-delete-events) endpoint. When deleting consent events, the user consent status will be automatically re-computed by re-applying the remaining (non-deleted) consent events, for a given regulation.

You must specify either the organization user ID (`organization_user_id` query-string parameter) or the Didomi user ID (`user_id` query-string parameter) of the user that you are querying events for.

You must also specify a list of filters as key-value pairs in the query-string parameters to select consent events that should be removed. The key should be a property name from the [event schema](/api-and-platform/consents/events/consent-event-schema.md) with nested properties path specified with a `.`. For instance, a custom event metadata field can be specified as `metadata.custom_key`.

**Example**

```javascript
DELETE /consents/events?organization_id={organization_id}&organization_user_id={organization_user_id}&metadata.booking_id={booking ID}
```

{% hint style="info" %}
You can also delete a specific event by ID by calling [DELETE /consents/events/:id](https://didomi.stoplight.io/docs/didomi-api/4973cce5c2ac4-delete-an-event).&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/api-and-platform/consents/events/delete-consent-event.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
